%{?mingw_package_header}

%global _basename taglib

%bcond_without tests

Name:       mingw-%{_basename}
Summary:    Audio Meta-Data Library
Version:    1.12
Release:    1%{?dist}

License:    LGPLv2 or MPLv1.1
URL:        https://taglib.github.io/
Source0:    https://taglib.github.io/releases/%{_basename}-%{version}.tar.gz
Patch0:     taglib-1.12-multilib.patch

BuildArch:      noarch

BuildRequires: make
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-zlib

BuildRequires:  cmake
%if %{with tests}
%endif

%description
TagLib is a library for reading and editing the meta-data of several
popular audio formats. Currently it supports both ID3v1 and ID3v2 for MP3
files, Ogg Vorbis comments and ID3 tags and Vorbis comments in FLAC, MPC,
Speex, WavPack, TrueAudio files, as well as APE Tags.


%package -n mingw32-%{_basename}
Summary: MinGW Windows version of TagLib for the win32 target

%description -n mingw32-%{_basename}
TagLib is a library for reading and editing the meta-data of several
popular audio formats.
This is the MinGW version, built for the win32 target.

%package -n mingw64-%{_basename}
Summary: MinGW Windows version of TagLib for the win64 target

%description -n mingw64-%{_basename}
TagLib is a library for reading and editing the meta-data of several
popular audio formats.
This is the MinGW version, built for the win64 target.


%{?mingw_debug_package}


%prep
%autosetup -n %{_basename}-%{version} -p1


%build
%{mingw_cmake} \
  %{?with_tests:-DBUILD_TESTS:BOOL=ON} \
  ..
%{mingw_make} %{?_smp_mflags}


%install
%{mingw_make} install/fast DESTDIR=%{buildroot}


%files -n mingw32-%{_basename}
%doc AUTHORS NEWS
%license COPYING.LGPL COPYING.MPL
%{mingw32_bindir}/libtag.dll
%{mingw32_bindir}/libtag_c.dll
%{mingw32_bindir}/taglib-config.cmd
%{mingw32_includedir}/taglib/
%{mingw32_libdir}/libtag.dll.a
%{mingw32_libdir}/libtag_c.dll.a
%{mingw32_libdir}/pkgconfig/taglib.pc
%{mingw32_libdir}/pkgconfig/taglib_c.pc

%files -n mingw64-%{_basename}
%doc AUTHORS NEWS
%license COPYING.LGPL COPYING.MPL
%{mingw64_bindir}/libtag.dll
%{mingw64_bindir}/libtag_c.dll
%{mingw64_bindir}/taglib-config.cmd
%{mingw64_includedir}/taglib/
%{mingw64_libdir}/libtag.dll.a
%{mingw64_libdir}/libtag_c.dll.a
%{mingw64_libdir}/pkgconfig/taglib.pc
%{mingw64_libdir}/pkgconfig/taglib_c.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-1
- initial build
